Bug 222804 - Prints "ttt" instead of "a"
Summary: Prints "ttt" instead of "a"
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mayank Jain
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On: 222457
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-16 09:37 UTC by Mayank Jain
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 12:11:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mayank Jain 2007-01-16 09:37:18 UTC
+++ This bug was initially created as a clone of Bug #222457 +++

Description of problem:
With Slovak keyboard enabled in scim, pressing "a" key results in a triple "t"
printed on screen (in gedit). Capital "A" works fine. I'm not sure if this is a
scim issue, i think the Slovak language/keyboard is supported by scim-m17n bridge.

Version-Release number of selected component (if applicable):
m17n-db-slovak-1.3.4-2.fc7

How reproducible:
always

-- Additional comment from petersen@redhat.com on 2007-01-14 19:13 EST --
This is defined so in the current sk-kbd.mim.

Could you look into why, Mayank?

-- Additional comment from majain@redhat.com on 2007-01-15 00:44 EST --
Yes, If you look at the /usr/share/m17n/sk-kbd.mim file, you'll notice that "a"
is mapped specifically to "ttt".

("a" "ttt")

Thats why hitting "a" gives a "ttt".

If that is wrong, please suggest the correct keymapping so I'll fix it in the
keymap - or please upload a patch  against the current rhel5 keymap. The problem
would be taken care of.

Thanks,
Mayank

-- Additional comment from majain@redhat.com on 2007-01-15 05:57 EST --
Hi Michal,

Is ("a" "a") the correct mapping?

If so, I'll correct the keymap.

-- Additional comment from mbabej@redhat.com on 2007-01-15 08:28 EST --
Hi Mayank,

Yes, "a" -> "a" is the correct mapping.

Comment 1 Mayank Jain 2007-01-16 09:59:11 UTC
Fixed in build

Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
m17n-db-1.3.4-3.fc7                       dist-fc7              majain


Comment 2 A S Alam 2007-03-15 12:11:42 UTC
bug is fixed, tested with following Package:
m17n-db-1.3.4-7.fc7


Note You need to log in before you can comment on or make changes to this bug.